﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Data.OleDb;
using C1.Web.Wijmo.Controls.C1GridView;
using C1.Web.Wijmo.Controls.C1ComboBox;
using System.Diagnostics;

namespace C1GridView_Wijmo
{
    public partial class WebForm1 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                UpdateView();
            }
        }

        protected string HtmlEncode(object value)
        {
            return HttpUtility.HtmlEncode((string)value);
        }

        private void UpdateView()
        {
            C1GridView1.DataSource = GetDataSet();
            C1GridView1.DataBind();
        }

        private DataTable GetDataSet()
        {
            DataTable orders = Page.Session["Orders"] as DataTable;
            if (orders == null)
            {
                using (OleDbConnection connection = new OleDbConnection(@"Provider=Microsoft.Jet.OLEDB.4.0;Data Source=|DataDirectory|\NWIND.mdb;Persist Security Info=True"))
                {
                    using (OleDbDataAdapter adapter = new OleDbDataAdapter("SELECT Top 10 [OrderID], [ShipCountry], [Freight] FROM ORDERS", connection))
                    {
                        orders = new DataTable();
                        adapter.Fill(orders);
                        orders.PrimaryKey = new DataColumn[] { orders.Columns["OrderID"] };
                        Page.Session["Orders"] = orders;
                    }
                }
            }
            return orders;
        }

        protected void C1GridView1_RowEditing(object sender, C1GridViewEditEventArgs e)
        {
     
        }

        protected void C1GridView1_RowUpdating(object sender, C1GridViewUpdateEventArgs e)
        {

        }

        protected void C1GridView1_RowCancelingEdit(object sender, C1GridViewCancelEditEventArgs e)
        {
            C1GridView1.EditIndex = -1;
            UpdateView();
        }

        protected void C1GridView1_Sorting(object sender, C1GridViewSortEventArgs e)
        {
            UpdateView();
        }

    }
}